org.vertx.java.framework

## Class TestUtils

- java.lang.Object
- - org.vertx.java.framework.TestUtils

    public class TestUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`TestUtils(Vertx vertx)`

### Method Summary

Methods
`void` `appReady()`
`void` `appStopped()`
`void` `azzert(boolean result)`
`void` `azzert(boolean result, java.lang.String message)`
`static boolean` `buffersEqual(Buffer b1, Buffer b2)`
`static boolean` `byteArraysEqual(byte[] b1, byte[] b2)`
`void` `checkContext()`
`void` `exception(java.lang.Throwable t, java.lang.String message)`
`static Buffer` `generateRandomBuffer(int length)`
`static Buffer` `generateRandomBuffer(int length, boolean avoid, byte avoidByte)`
`static byte[]` `generateRandomByteArray(int length)`
`static byte[]` `generateRandomByteArray(int length, boolean avoid, byte avoidByte)`
`static java.lang.String` `randomAlphaString(int length)`
`static java.lang.String` `randomUnicodeString(int length)`
`void` `register(java.lang.String testName, Handler<java.lang.Void> handler)`
`void` `registerTests(java.lang.Object obj)`
`void` `sendEvent(java.lang.String eventName)`
`void` `startTest(java.lang.String testName)`
`void` `testComplete()`
`void` `trace(java.lang.String message)`
`void` `unregisterAll()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestUtils

    public TestUtils(Vertx vertx)

### Method Detail

#### azzert

    public void azzert(boolean result)

#### azzert

    public void azzert(boolean result,
              java.lang.String message)

#### appReady

    public void appReady()

#### appStopped

    public void appStopped()

#### testComplete

    public void testComplete()

#### startTest

    public void startTest(java.lang.String testName)

#### exception

    public void exception(java.lang.Throwable t,
                 java.lang.String message)

#### trace

    public void trace(java.lang.String message)

#### register

    public void register(java.lang.String testName,
                Handler<java.lang.Void> handler)

#### registerTests

    public void registerTests(java.lang.Object obj)

#### unregisterAll

    public void unregisterAll()

#### sendEvent

    public void sendEvent(java.lang.String eventName)

#### generateRandomBuffer

    public static Buffer generateRandomBuffer(int length)

#### generateRandomByteArray

    public static byte[] generateRandomByteArray(int length)

#### generateRandomByteArray

    public static byte[] generateRandomByteArray(int length,
                                 boolean avoid,
                                 byte avoidByte)

#### generateRandomBuffer

    public static Buffer generateRandomBuffer(int length,
                              boolean avoid,
                              byte avoidByte)

#### randomUnicodeString

    public static java.lang.String randomUnicodeString(int length)

#### randomAlphaString

    public static java.lang.String randomAlphaString(int length)

#### buffersEqual

    public static boolean buffersEqual(Buffer b1,
                       Buffer b2)

#### byteArraysEqual

    public static boolean byteArraysEqual(byte[] b1,
                          byte[] b2)

#### checkContext

    public void checkContext()